Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.internal.ui.util
Class ECPImportHandlerHelper

    java.lang.Object
      org.eclipse.emf.ecp.internal.ui.util.ECPImportHandlerHelper

    public final class ECPImportHandlerHelper

extends Object

A utility class which provides support for importing `EObject`s.

Author:
  David

Field Summary
`static String[]` | `FILTER_EXTS` These filter extensions are used to filter which files are displayed.
`static String[]` | `FILTER_NAMES` These filter names are used to filter which files are displayed.

Method Summary
`static void` | `importElement(org.eclipse.swt.widgets.Shell shell, ECPProject ecpProject)` Connects an `EObject` with another imported `EObject` which will be selected via a dialog.
`static void` | `importElement(org.eclipse.swt.widgets.Shell shell, org.eclipse.emf.ecore.EObject eObject)` Connects an `EObject` with another imported `EObject` which will be selected via a dialog.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILTER_EXTS

    public static final String[] FILTER_EXTS

  These filter extensions are used to filter which files are displayed.

### FILTER_NAMES

    public static final String[] FILTER_NAMES

  These filter names are used to filter which files are displayed.

Method Detail

### importElement

    public static void importElement(org.eclipse.swt.widgets.Shell shell,
                                     org.eclipse.emf.ecore.EObject eObject)

  Connects an `EObject` with another imported `EObject` which will be selected via a dialog.

  Parameters:
    `shell` - The `Shell` which should be used for the dialog
    `eObject` - The `EObject` which should be connected with the imported `EObject`

### importElement

    public static void importElement(org.eclipse.swt.widgets.Shell shell,
                                     ECPProject ecpProject)

  Connects an `EObject` with another imported `EObject` which will be selected via a dialog.

  Parameters:
    `shell` - The `Shell` which should be used for the dialog
    `ecpProject` - The `ECPProject` where the `EObject` should be imported into

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.